#define ADI_NUM_SECONDARY_HANDLERS 16
#define ADI_NUM_DEVICES 4

extern u8 IntMgrData[(ADI_INT_SECONDARY_MEMORY * ADI_NUM_SECONDARY_HANDLERS)];	
extern  u8 DMAMgrData[ADI_DMA_BASE_MEMORY + (ADI_DMA_CHANNEL_MEMORY * 16)];

// Deferred Callback Manager data (memory for 1 service plus 4 posted callbacks)
#if defined(USE_DEFERRED_CALLBACKS)
extern u8 DCBMgrData[ADI_DCB_QUEUE_SIZE + (ADI_DCB_ENTRY_SIZE)*4];
#endif

// Device Manager data (base memory + memory for 1 device)
extern u8 DevMgrData[ADI_DEV_BASE_MEMORY + (ADI_DEV_DEVICE_MEMORY * ADI_NUM_DEVICES)];


extern ADI_DCB_HANDLE		DCBManagerHandle;	// handle to the callback service
extern ADI_DMA_MANAGER_HANDLE 	DMAManagerHandle;	// handle to the DMA Manager
extern ADI_DEV_MANAGER_HANDLE 	DeviceManagerHandle;	// handle to the Device Manager
 
extern ADI_DEV_DEVICE_HANDLE 	DeviceHandle;	// handle to the device driver
	 	
extern ADI_DMA_STREAM_HANDLE  StreamHandle;      // handle to the memory stream
extern ADI_DMA_STREAM_HANDLE  StreamHandle1;      // handle to the memory stream
extern ADI_DMA_STREAM_HANDLE  StreamHandle2;      // handle to the memory stream


extern L3BufferInit(ADI_DMA_2D_TRANSFER *, char *);
extern L2BufferInit(ADI_DMA_2D_TRANSFER *, char *);
extern L3Buffer_FullFrameInit(ADI_DMA_2D_TRANSFER *, char *);
extern BufferL3toL2(ADI_DMA_2D_TRANSFER*, ADI_DMA_2D_TRANSFER*, ADI_DMA_STREAM_HANDLE*);
extern  BufferL2toL3(ADI_DMA_2D_TRANSFER *,ADI_DMA_2D_TRANSFER * , ADI_DMA_STREAM_HANDLE*);
extern  BufferL3toL3(ADI_DMA_2D_TRANSFER *,ADI_DMA_2D_TRANSFER * , ADI_DMA_STREAM_HANDLE*);
extern  BufferL2toL2(ADI_DMA_2D_TRANSFER *,ADI_DMA_2D_TRANSFER * , ADI_DMA_STREAM_HANDLE*);
